> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# Delete a specific file from a fileset

DELETE https://host.com/apis/files/v2/workspaces/{workspace}/filesets/{name}/-/{path}

Delete a specific file from a fileset.

Permanently deletes the file from the storage backend.
Returns metadata about the deleted file.

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/documentation/reference/api-reference/files/delete-file-apis-files-v-2-workspaces-workspace-filesets-name-path-delete

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/files/v2/workspaces/{workspace}/filesets/{name}/-/{path}:
    delete:
      operationId: >-
        delete-file-apis-files-v-2-workspaces-workspace-filesets-name-path-delete
      summary: Delete a specific file from a fileset
      description: |-
        Delete a specific file from a fileset.

        Permanently deletes the file from the storage backend.
        Returns metadata about the deleted file.
      tags:
        - subpackage_files
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
        - name: name
          in: path
          required: true
          schema:
            type: string
        - name: path
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FilesetFileOutput'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    CacheStatus:
      type: string
      enum:
        - cached
        - caching
        - not_cached
        - not_cacheable
      description: Cache status for files in external storage backends.
      title: CacheStatus
    FilesetFileOutput:
      type: object
      properties:
        file_ref:
          type: string
        file_url:
          type: string
        path:
          type: string
        size:
          type: integer
        cache_status:
          $ref: '#/components/schemas/CacheStatus'
      required:
        - file_ref
        - file_url
        - path
        - size
      title: FilesetFileOutput
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "file_ref": "fileset-12345-abcdef",
  "file_url": "https://storage.nemo-platform.com/workspaces/project-alpha/filesets/dataset1/-/images/photo1.jpg",
  "path": "images/photo1.jpg",
  "size": 245760,
  "cache_status": "cached"
}
```

**SDK Code**

```python
import requests

url = "https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path';
const options = {method: 'DELETE', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/files/v2/workspaces/workspace/filesets/name/-/path")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```